## ros-kinetic-xiaoqiang-freenect-camera 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xiaoqiang_freenect_camera)
find_package(catkin REQUIRED
             COMPONENTS
             camera_info_manager
             diagnostic_updater
             dynamic_reconfigure
             image_transport
             nodelet
             roscpp
             sensor_msgs
             pluginlib )

# Resolve system dependency on libfreenect, which does not provide a
# CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBFREENECT REQUIRED libfreenect)
pkg_check_modules(LOG4CXX REQUIRED liblog4cxx)

find_library(LIBFREENECT_LIBRARY
  NAMES freenect
  PATHS ${LIBFREENECT_LIBRARY_DIRS}
)

# auto-generate dynamic reconfiguration GUI before catkin_package()
generate_dynamic_reconfigure_options(cfg/Freenect.cfg)

# resolve boost thread references
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIR}
                    ${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake
                    ${LIBFREENECT_INCLUDE_DIRS}
                    ${LOG4CXX_INCLUDE_DIRS})

# build the node and nodelet
add_executable(xiaoqiang_freenect_node src/nodes/freenect_node.cpp)
target_link_libraries(xiaoqiang_freenect_node
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY})
add_dependencies(xiaoqiang_freenect_node ${PROJECT_NAME}_gencfg)

add_library(xiaoqiang_freenect_nodelet src/nodelets/driver.cpp )
target_link_libraries(xiaoqiang_freenect_nodelet
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY}
                      ${LOG4CXX_LIBRARIES})
add_dependencies(xiaoqiang_freenect_nodelet ${PROJECT_NAME}_gencfg)

catkin_package(DEPENDS
               LIBFREENECT
               CATKIN_DEPENDS
               camera_info_manager
               diagnostic_updater
               dynamic_reconfigure
               image_transport
               nodelet
               roscpp
               sensor_msgs)

# install the node and nodelet
install(TARGETS xiaoqiang_freenect_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        COMPONENT main)

install(TARGETS xiaoqiang_freenect_nodelet
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# add xml file
install(FILES freenect_nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-xiaoqiang-freenect-camera (0.0.12-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.11-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.10-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.9-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.8-0xenial) xenial; urgency=high

  * add depth image process
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Tue, 05 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.7-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Thu, 31 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.6-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 30 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-camera (0.0.5-0xenial) xenial; urgency=high

  * change email
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Tue, 29 May 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xiaoqiang-freenect-camera
Section: misc
Priority: extra
Maintainer: Randoms <randoms@bwbot.org>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-kinetic-camera-info-manager, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-libfreenect, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Homepage: http://ros.org/wiki/xiaoqiang_freenect_camera
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang-freenect-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-kinetic-camera-info-manager, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-libfreenect, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: A libfreenect-based ROS driver for the Microsoft Kinect.
 This is a port of the OpenNI driver that uses libfreenect instead, because on some systems with some devices it works better. Modified version of xiaoqiang_freenect_stack, add tilt angle control support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xiaoqiang-freenect-camera//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
